View Issue Details

IDProjectCategoryView StatusLast Update
0009592CentOS-7CentOS-7-Pluspublic2016-02-23 17:26
Reporterrtresidd 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version7.1-1503 
Target VersionFixed in Version 
Summary0009592: CONFIG_I2C_MUX not enabled as module
DescriptionCould this please be turned on as a module in the kernel x86_64
There are some v4l drivers that require this to be available.

From my end: saa7164 is unable to create a muxed i2c interface for accessing dvb frontends

Would be appreciated and save having to rebuild from srpm's all the time

TagsNo tags attached.
abrt_hash
URL

Activities

toracat

toracat

2015-10-11 06:40

manager   ~0024573

I2C_MUX will be enabled in the next kernel-plus update.

--- .config.old 2015-10-10 16:41:10.882845669 -0700
+++ .config 2015-10-10 23:38:52.757830540 -0700
@@ -2673,7 +2673,14 @@
 CONFIG_I2C_BOARDINFO=y
 CONFIG_I2C_COMPAT=y
 CONFIG_I2C_CHARDEV=m
-# CONFIG_I2C_MUX is not set
+CONFIG_I2C_MUX=m
+
+#
+# Multiplexer I2C Chip support
+#
+CONFIG_I2C_MUX_GPIO=m
+CONFIG_I2C_MUX_PCA9541=m
+CONFIG_I2C_MUX_PCA954x=m
 CONFIG_I2C_HELPER_AUTO=y
 CONFIG_I2C_SMBUS=m
 CONFIG_I2C_ALGOBIT=m
rtresidd

rtresidd

2015-10-11 13:19

reporter   ~0024576

Thanks
  Much appreciated
toracat

toracat

2015-10-14 07:23

manager   ~0024589

@rtresidd

I have built a test version of the current kernel-plus with the requested feature enabled:

http://people.centos.org/toracat/kernel/7/plus/bug9569_9592/

Note that they are not signed, are provided for testing purposes only.
rtresidd

rtresidd

2016-02-23 16:51

reporter   ~0025826

Recommend this bug to be closed / marked fixed.
I've successfully utilised the Centos7 kernel-plus package that has this change applied.
Works for 3.10.0-327.10.1.el7.centos.plus.x86_64
toracat

toracat

2016-02-23 17:26

manager   ~0025827

Thanks for reporting back. Now closing as 'resolved'.

Issue History

Date Modified Username Field Change
2015-10-11 06:29 rtresidd New Issue
2015-10-11 06:40 toracat Note Added: 0024573
2015-10-11 06:42 toracat Status new => assigned
2015-10-11 06:42 toracat Category kernel => CentOS-7-Plus
2015-10-11 13:19 rtresidd Note Added: 0024576
2015-10-14 07:23 toracat Note Added: 0024589
2016-02-23 16:51 rtresidd Note Added: 0025826
2016-02-23 17:26 toracat Note Added: 0025827
2016-02-23 17:26 toracat Status assigned => resolved
2016-02-23 17:26 toracat Resolution open => fixed